package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjDbxxMapper;
import com.sooka.system.domain.TgjjDbxx;
import com.sooka.system.service.ITgjjDbxxService;

/**
 * 担保信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjDbxxServiceImpl extends Guiji_Base_Service implements ITgjjDbxxService
{
    @Autowired
    private TgjjDbxxMapper tgjjDbxxMapper;

    /**
     * 查询担保信息
     *
     * @param ID 担保信息ID
     * @return 担保信息
     */
    @Override
    public TgjjDbxx selectTgjjDbxxById(Long ID)
    {
        return tgjjDbxxMapper.selectTgjjDbxxById(ID);
    }

    /**
     * 查询担保信息列表
     *
     * @param tgjjDbxx 担保信息
     * @return 担保信息
     */
    @Override
    public List<TgjjDbxx> selectTgjjDbxxList(TgjjDbxx tgjjDbxx)
    {
        List ls = tgjjDbxxMapper.selectTgjjDbxxList(tgjjDbxx);
        tgjjDbxx.setInterfaceinfoId("56672103-ae6e-4a19-8a03-1c0ff4d6e5f7");
        tgjjDbxx.setInterfaceinfoName("共享-市公积金-担保信息");
        tgjjDbxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjDbxx.setDeptId(deptId);
        tgjjDbxx.setDeptName(deptName);
        add_log(tgjjDbxx);
        return ls;
    }

    /**
     * 新增担保信息
     *
     * @param tgjjDbxx 担保信息
     * @return 结果
     */
    @Override
    public int insertTgjjDbxx(TgjjDbxx tgjjDbxx)
    {
        return tgjjDbxxMapper.insertTgjjDbxx(tgjjDbxx);
    }

    /**
     * 修改担保信息
     *
     * @param tgjjDbxx 担保信息
     * @return 结果
     */
    @Override
    public int updateTgjjDbxx(TgjjDbxx tgjjDbxx)
    {
        return tgjjDbxxMapper.updateTgjjDbxx(tgjjDbxx);
    }

    /**
     * 删除担保信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDbxxByIds(String ids)
    {
        return tgjjDbxxMapper.deleteTgjjDbxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除担保信息信息
     *
     * @param ID 担保信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjDbxxById(Long ID)
    {
        return tgjjDbxxMapper.deleteTgjjDbxxById(ID);
    }
}
